<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseRegionStatisticMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseRegionStatistic">
        <id column="id" property="id" />
        <result column="region_name" property="regionName" />
        <result column="region_area" property="regionArea" />
        <result column="region_resident" property="regionResident" />
        <result column="street_town_num" property="streetTownNum" />
        <result column="large_build_num" property="largeBuildNum" />
        <result column="key_company_num" property="keyCompanyNum" />
        <result column="hospital_num" property="hospitalNum" />
        <result column="school_num" property="schoolNum" />
        <result column="fire_rescue_num" property="fireRescueNum" />
        <result column="mini_fire_num" property="miniFireNum" />
        <result column="full_time_num" property="fullTimeNum" />
        <result column="prior_mini_num" property="priorMiniNum" />
        <result column="community_mini_num" property="communityMiniNum" />
        <result column="create_time" property="createTime" />
        <result column="creator_by" property="creatorBy" />
        <result column="update_time" property="updateTime" />
        <result column="update_by" property="updateBy" />
    </resultMap>

</mapper>
